:root {
	--color-bg-dark: hsl(0, 2%, 11%);
	--color-info-bg-dark: hsl(0, 2%, 11%, .8);
	--color-2-dark: hsl(217, 10%, 25%);
	--color-3-dark: hsl(36, 11%, 53%);
	--color-fg-dark: hsl(37, 38%, 80%);
	--gap: 4vw;
	--alpha-size: 26em;
}
html {
	font-family: "Sofia Sans Condensed", sans-serif;
	scroll-behavior: smooth;
}
body {
	background-color: var(--color-bg-dark);
	color: var(--color-fg-dark);
	margin: 0;
	padding: 0;
}
img {
	display: block;
	width: 100%;
	height: auto;
}
p {
	margin: 0;
}
button, input, select {
	font-family: inherit;
	font-size: inherit;
}
.overlay {
	display: grid;
}
.overlay > * {
	grid-area: 1/-1;
}

/* header */
header {
	background-color: var(--color-2-dark);
	display: flex;
	align-items: center;
	justify-content: center;
	gap: var(--gap);
	flex-direction: column;
	padding: var(--gap);
}
header form {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: .5em;
}
header label {
	margin-inline-end: .25em;
}
header .sort {
	display: none;
}
header .search {
	display: flex;
	align-items: center;
	gap: .25em;
}
header #search {
	background-color: var(--color-2-dark);
	border: 1px solid var(--color-3-dark);
	color: var(--color-fg-dark);
	border-radius: 5px;
	padding: .25em .5em;
	width: 50%;
}
header #attr {
	background-color: var(--color-2-dark);
	border: 1px solid var(--color-3-dark);
	color: var(--color-fg-dark);
	border-radius: 5px;
	padding: .25em .5em;
}
header .search button {
	background-color: var(--color-fg-dark);
	border: none;
	color: var(--color-2-dark);
	border-radius: 5px;
	padding: .25em .5em;
}
header .clear {
	background-color: transparent;
	border: none;
	color: var(--color-3-dark);
	padding: .25em .5em;
	text-wrap: nowrap;
}

.view {
	display: flex;
	gap: .25em;
	align-items: center;
}
.view .label {
	margin-inline-end: .25em;
}
.view button {
	display: block;
	color: inherit;
	padding: 0;
	border: none;
	background-color: transparent;
	cursor: pointer;
}
.tap .view button[data-view="list"] {
	opacity: .5;
}
.list .view button[data-view="tap"] {
	opacity: .5;
}
.view svg {
	display: block;
	width: 1.8em;
	height: auto;
}

/* album list */
.albums-list {
	display: grid;
	gap: var(--gap);
	justify-content: center;
	margin: 0;
	padding: var(--gap) calc(var(--gap) * 3) var(--gap) var(--gap);
	list-style-type: none;
	border: none;
	background-color: transparent;
}
.tap .albums-list {
	align-items: center;
}
.list .albums-list {
	align-items: start;
}
.view-list .albums-list {
	gap: calc(var(--gap) * 2) var(--gap);
	align-items: start;
}
.album {
	overflow: hidden;
	color: inherit;
	text-align: inherit;
	border: none;
	background-color: transparent;
	padding: 0;
	scroll-margin-block-start: var(--gap);
}
.tap .album {
	display: grid;
}
.tap .album > * {
	grid-area: 1/-1;
}
.tap .img-box {
	transition: filter .5s;
}
.list .img-box {
	aspect-ratio: 1/1;
}
.tap .info {
	background-color: var(--color-info-bg-dark);
	position: relative;
	display: grid;
	align-content: center;
	padding: 5% 10%;
	opacity: 0;
	transition: opacity .5s;
	pointer-events: none;
}
.list .info {
	padding: var(--gap) 0;
}
.info .year {
	color: var(--color-3-dark);
}
.info h3 {
	font-size: 2.6em;
	margin: 0;
	line-height: 1;
}
.info .multi:not(.artists) {
	display: flex;
	margin-block-start: .2em;
}
.info .multi:not(.artists) p {
	width: 3em;
	flex-shrink: 0;
	color: var(--color-3-dark);
}
.info .multi ul {
	margin: 0;
	padding: 0;
	list-style-type: none;
	display: flex;
	gap: 0 .3em;
	flex-flow: wrap;
}
.artists {
	margin-block: .2em .8em;
}
.info .artists ul li {
	color: #6ebad8;
	font-size: 1.2em;
	line-height: 1.1;
}
.info .multi ul li:not(:last-of-type)::after {
	content: ', ';
}
.tap .album.active .img-box {
	filter: blur(4px);
}
.album.active .info {
	opacity: 1;
	pointer-events: all;
}

/* alpha slider */
.alpha {
	position: fixed;
	top: 50%;
	transform: translateY(-50%);
	right: 0;
	width: calc(var(--gap) * 3);
	height: calc(var(--alpha-size) * 1.25);
}
.alpha input[type="range"] {
	writing-mode: vertical-lr;
	appearance: none;
	background: transparent;
	margin: 0;
	padding: 0;
	height: 100%;
	cursor: pointer;
}
.alpha input[type="range"]::-webkit-slider-thumb {
	-webkit-appearance: none;
	appearance: none;
	width: 1.125em;
	height: 1.125em;
	border-radius: 50%;
	background-color: transparent;
	border: 1px solid var(--color-3-dark)
}
.alpha input[type="range"]::-moz-range-thumb {
	appearance: none;
	background-color: transparent;
	border: 1px solid var(--color-3-dark)
}
.alpha-text {
	margin: 0;
	padding: 0;
	list-style-type: none;
	text-align: center;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.tracks {
	border: none;
	background-color: transparent;
	color: var(--color-fg-dark);
	width: fit-content;
	appearance: none;
	padding: var(--gap) 0;
	cursor: pointer;
}

/* dialog box */
dialog::backdrop {
	background-color: var(--color-info-bg-dark);
}
.dialog-tracks {
	background-color: var(--color-fg-dark);
	color: var(--color-bg-dark);
	width: 60%;
	max-width: 25em;
}
.dialog-header {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	gap: 1.5em;
}
.dialog-tracks .close {
	background-color: var(--color-info-bg-dark);
	border: none;
	color: var(--color-fg-dark);
	border-radius: 5px;
	padding: .25em .5em;
}
.dialog-tracks h2 {
	font-size: 1.8em;
	margin: 0 0 .4em 0;
	line-height: 1.1;
}
.dialog-tracks h3 {
	font-size: 1em;
	margin: 0;
	text-decoration: underline;
	text-underline-offset: .25em;
	text-decoration-thickness: .1em;
}
.dialog-tracks ul {
	margin: .4em 0 .8em;
	padding: 0;
	list-style-type: none;
}
.dialog-tracks li {
	line-height: 1;
	margin-block-end: .4em;
}

@media screen and (min-width: 40em) {
	:root {
		--gap: 2.5vw;
	}
	.albums-list {
		grid-template-columns: repeat(2, 1fr);
	}
	.alpha {
		height: calc(var(--alpha-size) * 1.5);
	}
	header {
		flex-direction: row;
		gap: calc(var(--gap) * 2);
	}
}

@media screen and (min-width: 64em) {
	:root {
		--gap: 1.5vw;
	}
	.albums-list {
		grid-template-columns: repeat(3, 1fr);
	}
}

@media screen and (min-width: 98em) {
	:root {
		--gap: 1vw
	}
	.albums-list {
		grid-template-columns: repeat(4, 1fr);
	}
}

@media screen and (hover: hover) {
	.view button {
		transition: opacity .25s;
	}
	.view button:hover {
		opacity: 1;
	}
	.tap .album:hover .img-box {
		filter: blur(4px);
	}
	.tap .album:hover .info {
		opacity: 1;
		pointer-events: all;
	}
}